CANdb-Import Fenster

Im CANdb-Import Fenster wird die Auswahl getroffen, welche Botschaften aus der geöffneten CANdb-Datenbank importiert werden sollen.

Um ein CANdb-Import Fenster anzuzeigen:

  1. Im Menü Datei das Kommando Öffnen auswählen.

  2. Eine CANdb-Datenbank auswählen (Dateiendung *.dbc) und den Dialog mit OK schließen.

- oder -

  1. Im Projekt-Manager auf der Registerseite Projekt-Dateien eine CANdb-Datenbank des Projekts öffnen, entweder durch einen Doppelklick auf der Datei oder durch Auswahl des Befehls Öffnen im Kontextmenü.

Elemente des Fensters

Botschaften in der Datenbank

Diese Liste zeigt alle Botschaften an, die in der geöffneten Datenbank enthalten sind.

Um eine Botschaft für den Import auszuwählen, muss im Kontrollkästchen am linken Rand der Liste ein Haken gesetzt werden.

Botschaft

Diese Spalte zeigt die Namen der einzelnen Botschaften an, wie sie in der Datenbank definiert wurden.

CAN-ID

Diese Spalte enthält die CAN-IDs der einzelnen Botschaften. Die CAN-IDs werden hexadezimal angezeigt. Eine 3-stellige ID zeigt eine 11-Bit-Standard-CAN-ID an, eine 8-stellige ID zeigt eine erweiterte 29-Bit-CAN-ID nach CAN 2.0B-Protokoll an.

Kommentar

Diese Spalte zeigt die Kommentare an, die in der Datenbank für die Botschaften definiert worden sind.

Alle Auswählen

Mit dieser Schaltfläche werden alle Botschaften in der Liste ausgewählt.

Alle Abwählen

Mit dieser Schaltfläche wird die Auswahl in der Liste gelöscht.

Anwenden

Mit Hilfe dieser Schaltfläche wird der Import durchgeführt.

Wurde die CANdb-Datenbank noch keiner Verbindung im aktuellen Projekt zugewiesen, wird ein Dialog zur Auswahl von einer oder mehreren Verbindungen angezeigt.

Wurde der Import durchgeführt, erscheint im Projekt-Manager auf der Registerseite Projekt-Elemente unter Aktive Symbole ein Knoten mit dem Namen der CANdb-Datenbank, der die Namen aller importierten Botschaften enthält. Im Knoten Signale sind dann alle importierten Signale vorhanden.

Hinweis

Ist keine der zugewiesenen Verbindungen beim Anwenden aktiv, hängt es von der Einstellung Symbole nur für aktivierte Verbindungen laden ab, ob die CANdb-Symbole sofort oder erst beim Aktivieren der Verbindungen geladen werden. Diese Einstellung kann im Optionen-Dialog auf der Registerseite Allgemein angepasst werden.

Feedback senden | Copyright © 2016 PEAK-System Technik GmbH. Alle Rechte vorbehalten.